Bug 136773 - s-c-b does has problems with 'type'
s-c-b does has problems with 'type'
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2004-10-22 05:26 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-27 13:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2004-10-22 05:26:35 EDT
Description of problem:
The correct format for IPv6 addresses DNS is now once again the nibble format. 
My named.conf file contains something like this

zone "" {
        type master;
        file "fec0.zone";
        allow-update { none; };

After parsing this s-c-b fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.add above lines to named.conf
2.start s-c-b
Actual results:
I get:

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 2010, in ?
    main ()
  File "/usr/sbin/system-config-bind", line 1930, in main
    setup_main_tree ()
  File "/usr/sbin/system-config-bind", line 1699, in setup_main_tree
    zlist = cfg.getSlaveZoneList()
  File "/usr/share/system-config-bind/ConfNamed.py", line 370, in getSlaveZoneList
    if z.isSlave():
  File "/usr/share/system-config-bind/ConfNamed.py", line 198, in isSlave
  File "/usr/share/system-config-bind/ConfNamed.py", line 22, in getOpt
    return self.opts[name]
KeyError: 'type'

Expected results:
No errors.

Additional info:
Comment 1 Ulrich Drepper 2004-10-22 05:29:27 EDT
Actually, the IPv6 definition is just the last in the file.  It's unrelated, I
get the same error when I comment the definition out.  I changed the summary to
reflect this.
Comment 3 Ulrich Drepper 2004-10-22 05:33:48 EDT
Argh, the version is of course system-config-bind-2.0.3-1, not bind-9.2.4-1.
Comment 4 Jason Vas Dias 2004-10-22 10:28:01 EDT
Yes, these problems are known - I am currently engaged in rewriting
system-config-bind to have none of these problems, and shall have 
completed the rewrite within 1-2 weeks. I'll post to this bug when
Comment 5 Jason Vas Dias 2005-01-03 14:27:44 EST
This problem is now fixed by system-config-bind-4.0.0-1 in FC4/rawhide
- this is not quite the final version yet, but it does fix this problem.

Comment 6 Ulrich Drepper 2006-05-27 13:07:56 EDT
Seems to work in FC3+.

Note You need to log in before you can comment on or make changes to this bug.